import request from '@/config/axios'

// 设备台账 API
export const IotStatApi = {
  getMainDay: async () => {
    return await request.get({ url: `/rq/stat/main/day` })
  },
  getOrderSeven: async (params: any) => {
    return await request.get({ url: `/rq/stat/rh/order/`+params })
  },
  getOrderYwcb: async (params: any) => {
    return await request.get({ url: `/rq/stat/rh/ywcb/`+params })
  },
  getMainWeek: async () => {
    return await request.get({ url: `/rq/stat/main/week` })
  },
  getMainMonth: async () => {
    return await request.get({ url: `/rq/stat/main/month` })
  },
  getMainTotal: async () => {
    return await request.get({ url: `/rq/stat/main/total` })
  },
  getMainStatus: async () => {
    return await request.get({ url: `/rq/stat/main/status` })
  },
  getInspectDay: async () => {
    return await request.get({ url: `/rq/stat/inspect/day` })
  },
  getInspectWeek: async () => {
    return await request.get({ url: `/rq/stat/inspect/week` })
  },
  getInspectMonth: async () => {
    return await request.get({ url: `/rq/stat/inspect/month` })
  },
  getInspectTotal: async () => {
    return await request.get({ url: `/rq/stat/inspect/total` })
  },
  getInspectStatus: async (params: any) => {
    return await request.get({ url: `/rq/stat/inspect/status`, params })
  },
  getInspectStatuss: async (params: any, dept:any) => {
    return await request.get({ url: `/rq/stat/inspect/statuss/`+dept, params })
  },
  getProject: async (params: any) => {
    return await request.get({ url: `/rq/stat/project/`+params })
  },
  getInspectTodayStatus: async () => {
    return await request.get({ url: `/rq/stat/inspect/today/status` })
  },
  getInspectDeviceStatus: async (params: any) => {
    return await request.get({ url: `/rq/stat/inspect/device`, params })
  },
  getInspectItemStatus: async (params: any) => {
    return await request.get({ url: `/rq/iot-inspect-order-detail/status`,params })
  },
  getMaintenanceDay: async () => {
    return await request.get({ url: `/rq/stat/maintenance/day` })
  },
  getMaintenanceWeek: async () => {
    return await request.get({ url: `/rq/stat/maintenance/week` })
  },
  getMaintenanceMonth: async () => {
    return await request.get({ url: `/rq/stat/maintenance/month` })
  },
  getMaintenanceTotal: async () => {
    return await request.get({ url: `/rq/stat/maintenance/total` })
  },
  getMaintenanceStatus: async (params: any) => {
    return await request.get({ url: `/rq/stat/maintenance/status/`+params })
  },
  getRhZql: async (params: any) => {
    return await request.get({ url: `/rq/stat/year/total/gas/`+params })
  },
  getRhZqlToday: async (params: any) => {
    return await request.get({ url: `/rq/stat/rh/zql/today/`+params })
  },
  getMaintenanceTodayStatus: async () => {
    return await request.get({ url: `/rq/stat/maintenance/today/status` })
  },
  getMaintenanceType: async () => {
    return await request.get({ url: `/rq/stat/maintenance/type` })
  },
  getDeviceInfoChart: async (deviceCode: any, identifier: any, begin: string, end:string) => {
    return await request.get({ url: `/rq/stat/td/chart/`+deviceCode+'/'+identifier+'?beginTime='+begin+'&endTime='+end })
  },


  getDeviceCount: async (params: any) => {
    return await request.get({ url: `/rq/stat/home/device/count/`+params })
  },
  getMaintainCount: async (params: any) => {
    return await request.get({ url: `/rq/stat/home/maintain/count/`+params })
  },
  getMainWorkCount: async () => {
    return await request.get({ url: `/rq/stat/home/work/count` })
  },
  getInspectCount: async () => {
    return await request.get({ url: `/rq/stat/home/inspect/count` })
  },
  getDeviceStatusCount: async (params: any) => {
    return await request.get({ url: `/rq/stat/home/device/status/`+params })
  },

  getDeviceTypeCount: async (params: any) => {
      return await request.get({ url: `/rq/stat/home/device/type/`+params })
  },
  getDeptCount: async () => {
    return await request.get({ url: `/rq/stat/home/dept` })
  },
  getSafeCount: async () => {
    return await request.get({ url: `/rq/stat/home/safe` })
  },
  getMttr: async () => {
    return await request.get({ url: `/rq/stat/mttr` })
  },
  getMaterial: async () => {
    return await request.get({ url: `/pms/iot-outbound/materials/top` })
  },
  getDeptStatistics: async (params: any) => {
      return await request.get({ url: `/rq/iot-opeation-fill/getCount`, params })
  },
  getDevSta: async (params: any) => {
    return await request.get({ url: `/rq/iot-opeation-fill/getDeviceCount`, params })
  },
}
